// Imports
@use "variables" as var;

// Variables
$headerDesktopHeight: 172.5px;
$headerMobileHeight: 48px;

// Actual Styling
:host {
  display: block;
  position: relative;
  height: 100%;
}

#map-top-left-tools-wrapper {
  position: absolute;
  top: calc(#{var.$default-padding} / 2);
  z-index: 3;
  display: flex;
  flex-wrap: wrap;
  row-gap: calc(#{var.$default-padding} / 2);
  width: 100vw;

  @media (min-width: var.$breakpoint-desktop) {
    top: var.$default-padding;
  }

  dsfr-search-bar {
    padding: 0 var.$default-padding;
    width: 100%;

    @media (min-width: var.$breakpoint-desktop) {
      width: 400px;
    }
  }
}

#map-bottom-left-tools-wrapper {
  position: fixed;
  top: 240px;
  right: var.$default-padding;
  z-index: 1000;
  transition: 400ms ease-in-out;

  @media (min-width: var.$breakpoint-desktop) {
    bottom: var.$default-padding;
    position: absolute;
    top: initial;
    left: var.$default-padding;

    &.pushed-around {
      left: var.$dynamic-box-width-desktop + var.$default-padding;
    }
  }
}

dsfr-alert {
  position: absolute;
  width: calc(100% - #{var.$default-padding} * 2);
  right: var.$default-padding;
  top: -70px;
  z-index: 999;

  @media (min-width: var.$breakpoint-desktop) {
    top: var.$default-padding;
    width: 400px;
  }
}
